<ng-container *ngIf="componentData$ | async as componentData">
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <app-action-word-view-information
            [actionWordViewComponentData]="componentData"
          ></app-action-word-view-information>
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'parameters'"
          [sqtmCoreAnchorCollapsePanel]="'parameters'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="parametersTitle"
          class="anchor"
        >
          <app-action-word-view-parameters
            [actionWordViewComponentData]="componentData"
          ></app-action-word-view-parameters>
          <ng-template #parametersTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.parameter.plural' | translate }}
            </div>
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'test-cases'"
          [sqtmCoreAnchorCollapsePanel]="'test-cases'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="testCasesTitle"
          class="anchor"
        >
          <app-action-word-view-using-test-cases
            [actionWordViewComponentData]="componentData"
          ></app-action-word-view-using-test-cases>
          <ng-template #testCasesTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.action-word-workspace.title.test-cases-using-action-word'
                  | translate
              }}
            </div>
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'implementation'"
          [sqtmCoreAnchorCollapsePanel]="'implementation'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="implementationTitle"
          class="anchor"
        >
          <app-action-word-view-implementation></app-action-word-view-implementation>
          <ng-template #implementationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.action-word-workspace.title.implementation'
                  | translate
              }}
            </div>
          </ng-template>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
</ng-container>
